/*!
 * Copyright (c) 2021, 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/quicksilver/eclipse-ide/styles.less';
@import 'projects.less';
@import '_variables.less';
@import 'anniversary.less';
@import 'donate.less';

@import './components/_buttons.less';
@import './components/new-noteworthy.less';
@import './components/testimonials.less';

.featured-side a{
  float:none;
}

.nav-container {
  background-color:rgba(30,4,60,0.6);
  z-index: 9;
  position: relative;
}

//== Menu

.dropdown-menu {
  padding: 15px 18px 8px;
  font-size: 13px;
  min-width: 140px;
  z-index: 10;
}

@media (min-width: @screen-sm-min) {
  #main-menu {
    float:right;
    li {
      > a {
        &:hover {
          text-decoration:none;
        }
      }
      .dropdown-menu {
        .gsc-input-box {
          border: 1px solid #ccc !important;
          width:100%;
        }
        &:before {
          border: none;
          background-color: #f7941e;
          display: inherit;
          height: 0;
          width: 0;
        }
      }
      > .dropdown-menu {
        .yamm-content {
          padding: 0;
          li {
            padding-bottom:5px;
          }
        }
        > li {
          margin-right: 0px;
          margin-left: 0px;
        }
      }
      &.dropdown.eclipse-more {
        .dropdown-menu {
          padding-top:10px;
          outline: none;
        }
      }
    }
  }
}

.yamm .yamm-content {
  padding-top:0;
}

.dropdown{
  &.open {
    @media (max-width: @screen-md-max) {
      a {
        color:@mobile-menu-color;
      }
      .yamm-content {
        li {
          margin-bottom:10px;
        }
      }
    }
  }
} 

.logo-eclipse-default-mobile {
  margin-top: 7px;
}

.navbar-nav > li > .dropdown-menu {
  margin-top: 1px;
}

.navbar-collapse {
  border-top: none;
}

table.gsc-search-box td.gsc-input {
  padding-right:0!important;
}

.gsc-search-button-v2 {
  padding: 9px 27px!important;
}

//== Header

.header-outer-container {
  position:relative;
}

#header-left {
  @media (max-width: @screen-md-max) {
    min-height: 0;
  }
}

.header-wrapper-subpages {
  background-image: none;
  .nav-container {
    background-color: @brand-secondary;
    padding: 10px 0;
  }
}

//== Jumbotron

.jumbotron {
  @media (max-width: @screen-md-max) {
    padding-bottom:0;
  }
}

.featured-jumbotron {
  position:relative;
  @media (max-width: @screen-sm-max) {
    .btn {
      border-radius: 25px;
      font-size: 14px;
      padding-top: 8px;
      padding-bottom: 8px;
      min-width: 200px;
    }
  }

  .jumbotron-custom-content {
    padding: 30px 0 25px;
    text-align:center;
    @media (max-width: @screen-sm-max) {
      position: relative;
      padding: 125px 0 0px;
      z-index: 2;
    }
    @media (min-width: @screen-md-min) {
      text-align:left;
      position:absolute;
      bottom:10px;
      padding-right: 15px;
      min-width: 450px;
    }
  }

  h1 {
    color:@brand-primary;
    margin-bottom:20px;
    font-weight:@jumbotron-h1-weight;
    @media (min-width: @screen-md-min) {
      font-size:@jumbotron-h1-size;
    }
    @media (max-width: @screen-sm-max) {
      font-size: @jumbotron-h1-mobile-size;
    }
    &:after {
      border-bottom:none;
      height:0px;
    }
  }
  p {
    font-size:23px;
    font-weight:600;
  }
}

.jumbotron-custom {
  background-position: 0% 20%;
  position:relative;
  z-index:1;
  @media (min-width: @screen-md-min) {
    height: 66vh;
    min-height: 500px;
    max-height: 650px;
  }
  @media (max-width: @screen-sm-max) {
    &:after {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: linear-gradient(to bottom, transparent 0%, black 100%);
    }
  }
}

.jumbotron-custom-col {
  @media (min-width: 1450px) {
    width:75%;
  }
  @media (min-width: 1500px) {
    width:80%;
  }
  @media (min-width: 1550px) {
    width:85%;
  }
  @media (min-width: 1600px) {
    width:90%;
  }
}

.jumbotron-custom-social-container {
  @media (max-width: @screen-sm-max) {
    padding-top: 25px;
    padding-bottom: 15px;
    background-color: @brand-secondary;
  }
}

.jumbotron-custom-social-icons-left, .jumbotron-custom-social-icons-right {
  color:@white;
  @media (min-width: @screen-md-min) {
    margin-top:40px;
  }
  li {
    padding:0 3px;
  }
}

.jumbotron-custom-social-icons-left {
  text-align:left;
}
@media (min-width: @screen-sm-min) {
  .jumbotron-custom-social-icons-left {
    text-align:left;
  }
}

.jumbotron-custom-social-icon {
  width:20px;
}

.jumbotron-custom-social-icons-right {
  text-align: right;
}

//== Generic featured section

.featured-section {
  text-align: center;
  padding:40px 0 60px;
  h2 {
    font-weight: 700;
    color:@brand-secondary;
    margin-bottom: 40px;
  }
}

//== Overrides

.solstice-slider {
  padding:30px 0;
}

.owl-stage {
  display: flex;
  align-items: center;
}

.owl-carousel .owl-stage {
  margin:0 auto;
}

//== Featured Story

.featured-story {
  @media (max-width: @screen-sm-max) {
    background-color: #050F1A;
  }
  @media (min-width: @screen-md-min) {
    position: absolute;
    top: 0;
    right: 0;
    background: transparent;
    padding: 100px 80px 0 200px;
    height: 100%;
    &:before {
      content:"";
      display:block;
      background-color: #050F1A;
      z-index:1;
      @media (min-width: @screen-md-min) {
        position: absolute;
        right: 0;
        top:0;
        width: 450px;
        height: 800px;
        padding: 120px 100px 0;
        border-radius: 375px 0 0 523px;
      }
    }
  }
  

  .container {
    @media (min-width: @screen-md-min) {
      width: 264px;
      z-index: 2;
      position: relative;
    }
  }

  .jumbotron-custom-social-icons-right {
    @media (min-width: @screen-md-min) {
      position: inherit;
      bottom:0;
      right: 80px;
      z-index:9;
      margin-bottom: 45px;
    }
  }
  
  .featured-story-block-content{
    &:before {
      background-color: transparent;
    }
    p {
      font-size: 16px;
      font-weight: 400;
    } 
  }
  h2 {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 20px;
  }
  .featured-story-block-container {
    text-align:center;
    @media (min-width: @screen-md-min) {
      width: 260px;
      text-align:left;
    }
    @media (max-width: @screen-sm-max) {
      margin-bottom:30px;
    }
  }

  .jumbotron-custom-social-icons-right {
    @media (max-width: @screen-sm-max) {
      display:none;
    }
  }
}

.featured-story-block {
  padding:0;
  min-height: inherit;
  h2, p {
    color:@white;
  }
  .btn-primary {
    background-color: @white;
    border-color: @white;
  }

  ul {
    li {
      padding-bottom: 10px;
    }
    
    :nth-child(2) {
      a {
        background-color: @dark-purple;
        border-color: @dark-purple;
        color: @white;
      }     
    }
  }
}

//== Featured Sponsors

.featured-sponsors {
  padding-top:0;
}

//== Featured Members

.featured-members {
  margin-top: 40px;
}

.featured-members-item {
  padding:0 20px;
  img {
    display: inherit;
    margin: 0 auto;
    max-width: 120px;
  }
}

//== Featured news and events

.featured-news-events {
  position:relative;
  overflow: hidden;
}

.featured-news-block {
  @media (min-width: @screen-sm-min) {
    padding-right:2px;
  }
  @media (max-width: @screen-sm-max) {
    padding:0;
  }
}

.featured-events-block {
  @media (min-width: @screen-sm-min) {
    padding-left:2px;
  }
  @media (max-width: @screen-sm-max) {
    padding:0;
  }
} 

.news-list-links-view-all {
  margin-top:20px;
}

.featured-news, .featured-events {
  padding:40px;
}

.featured-news, .featured-events {
  &:before {
    content:"";
    display:block;
    width:1000px;
    height:100%;
    position:absolute;
    top: 0;
    z-index: -1;
  }
}

.featured-news {
  background-color:#f8f8f7;
  &:before {
    background-color:#f8f8f7;
    left: -980px;
  }
}

.featured-events {
  background-color:#efeded;
  &:before {
    content:"";
    background-color:#efeded;
    right: -980px;
  }
}

.news-item, .timeline-item {
  margin-bottom:30px;
}

//== Featured About

.featured-about {
  padding: 0px 0 60px;
}

.featured-about-text {
  margin-top:40px;
}

//== Featured Highlights

.featured-highlights {
  background-color:#efeded;
}

.featured-highlights-text {
  display: block;
  border-right: 1px solid #ccc;
  font-weight: 700;
  color:@brand-secondary;
  &:last-child {
    border:none;
  }
  @media (max-width: @screen-sm-max) {
    font-size: 12px;
  }
}

//== Featured Stats

.featured-stats-number {
  font-size: 42px;
  font-weight: 700;
  @media (max-width: @screen-sm-max) {
    font-size:28px;
  }
}

//== Featured Footer

.featured-footer.featured-story-light {
  background-image:none;
  background-color:@brand-primary;
  border:none;
  h2 {
    color:@white;
  }
  p {
    color:@brand-secondary;
  }
  .btn-primary {
    background-color: @white;
    border-color: @white;
  }
}

//== Footer

footer#solstice-footer {
  background-color:@brand-secondary;
  color:@white;
  padding-top:30px;
  a:link, a:active, a:visited, a:focus {
    background-color:transparent;
  }
  @media (max-width: @screen-sm-max) {
    .container {
      margin-top:15px;
    }
  }

  // @todo: Remove this hotfix
  // The fa-lg class should not be used with fa-stack in the Hugo theme.
  .fa-stack.fa-lg {
    line-height: 2em;
  }
}

.footer-ef-logo {
  width:150px;
  margin-bottom:30px;
}
